org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcRequestHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequestHandler

All Implemented Interfaces:
  ClientListenerRequestHandler

    public class JdbcRequestHandler
    extends Object
    implements ClientListenerRequestHandler

JDBC request handler.

### Constructor Summary

Constructors
Constructor and Description
`JdbcRequestHandler(GridKernalContext ctx, GridSpinBusyLock busyLock, ClientListenerResponseSender sender, int maxCursors, boolean distributedJoins, boolean enforceJoinOrder, boolean collocated, boolean replicatedOnly, boolean autoCloseCursors, boolean lazy, boolean skipReducerOnUpdate, NestedTxMode nestedTxMode, AuthorizationContext actx, ClientListenerProtocolVersion protocolVer)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientListenerResponse` `handle(ClientListenerRequest req0)` Handle request.
`ClientListenerResponse` `handleException(Exception e, ClientListenerRequest req)` Handle exception.
`void` `onDisconnect()` Called whenever client is disconnected due to correct connection close or due to `IOException` during network operations.
`void` `writeHandshake(BinaryWriterExImpl writer)` Write successful handshake response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcRequestHandler

    public JdbcRequestHandler(GridKernalContext ctx,
                              GridSpinBusyLock busyLock,
                              ClientListenerResponseSender sender,
                              int maxCursors,
                              boolean distributedJoins,
                              boolean enforceJoinOrder,
                              boolean collocated,
                              boolean replicatedOnly,
                              boolean autoCloseCursors,
                              boolean lazy,
                              boolean skipReducerOnUpdate,
                              NestedTxMode nestedTxMode,
                              AuthorizationContext actx,
                              ClientListenerProtocolVersion protocolVer)

Constructor.

Parameters:
  `ctx` - Context.
  `busyLock` - Shutdown latch.
  `sender` - Results sender.
  `maxCursors` - Maximum allowed cursors.
  `distributedJoins` - Distributed joins flag.
  `enforceJoinOrder` - Enforce join order flag.
  `collocated` - Collocated flag.
  `replicatedOnly` - Replicated only flag.
  `autoCloseCursors` - Flag to automatically close server cursors.
  `lazy` - Lazy query execution flag.
  `skipReducerOnUpdate` - Skip reducer on update flag.
  `actx` - Authentication context.
  `protocolVer` - Protocol version.

### Method Detail

#### handle

    public ClientListenerResponse handle(ClientListenerRequest req0)

Handle request.

Specified by:
  `handle` in interface `ClientListenerRequestHandler`
Parameters:
  `req0` - Request.
Returns:
  Response.

#### handleException

    public ClientListenerResponse handleException(Exception e,
                                                  ClientListenerRequest req)

Handle exception.

Specified by:
  `handleException` in interface `ClientListenerRequestHandler`
Parameters:
  `e` - Exception.
  `req` - Request.
Returns:
  Error response.

#### writeHandshake

    public void writeHandshake(BinaryWriterExImpl writer)

Write successful handshake response.

Specified by:
  `writeHandshake` in interface `ClientListenerRequestHandler`
Parameters:
  `writer` - Binary writer.

#### onDisconnect

    public void onDisconnect()

Called whenever client is disconnected due to correct connection close or due to `IOException` during network operations.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018